"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FirebasePushNotificationContains = void 0;
/**
 * Contains names of all contains of this package
 *
 * @example
```ts
const notifyTypeLinkId = await deep.id(
   FIREBASE_PUSH_NOTIFICATION_PACKAGE_NAME,
   FirebasePushNotificationContains[FirebasePushNotificationContains.Notify]
)
```
 */
var FirebasePushNotificationContains;
(function (FirebasePushNotificationContains) {
    FirebasePushNotificationContains[FirebasePushNotificationContains["DeviceRegistrationToken"] = 0] = "DeviceRegistrationToken";
    FirebasePushNotificationContains[FirebasePushNotificationContains["PushNotification"] = 1] = "PushNotification";
    FirebasePushNotificationContains[FirebasePushNotificationContains["PushNotificationBody"] = 2] = "PushNotificationBody";
    FirebasePushNotificationContains[FirebasePushNotificationContains["PushNotificationImageUrl"] = 3] = "PushNotificationImageUrl";
    FirebasePushNotificationContains[FirebasePushNotificationContains["PushNotificationIconUrl"] = 4] = "PushNotificationIconUrl";
    FirebasePushNotificationContains[FirebasePushNotificationContains["PushNotificationTitle"] = 5] = "PushNotificationTitle";
    FirebasePushNotificationContains[FirebasePushNotificationContains["ServiceAccount"] = 6] = "ServiceAccount";
    FirebasePushNotificationContains[FirebasePushNotificationContains["UsesServiceAccount"] = 7] = "UsesServiceAccount";
    FirebasePushNotificationContains[FirebasePushNotificationContains["WebPushCertificate"] = 8] = "WebPushCertificate";
    FirebasePushNotificationContains[FirebasePushNotificationContains["UsesWebPushCertificate"] = 9] = "UsesWebPushCertificate";
    FirebasePushNotificationContains[FirebasePushNotificationContains["PushNotificationTree"] = 10] = "PushNotificationTree";
})(FirebasePushNotificationContains = exports.FirebasePushNotificationContains || (exports.FirebasePushNotificationContains = {}));
