import { DeepClient } from "@deep-foundation/deeplinks/imports/client";
/**
 * Inserts device registration token
 *
 * @remarks
 * Device registration token will be contained in device
 */
export declare function insertDeviceRegistrationToken({ deep, deviceRegistrationToken, deviceLinkId }: InsertDeviceRegistrationTokenParam): Promise<{
    deviceRegistrationTokenLinkId: number;
}>;
export interface InsertDeviceRegistrationTokenParam {
    /**
     * Deep Client
     */
    deep: DeepClient;
    /**
     * Device registration token
     */
    deviceRegistrationToken: string;
    /**
     * Device link id
     */
    deviceLinkId: number;
}
