import { DeepClient } from "@deep-foundation/deeplinks/imports/client";
import { PushNotification } from './push-notification';
/**
 * Inserts push notification
 */
export declare function insertPushNotification(param: InsertPushNotificationParam): Promise<void>;
export interface InsertPushNotificationParam {
    /**
     * Deep Client
     */
    deep: DeepClient;
    /**
     * Push notification
     */
    pushNotification: PushNotification;
    /**
     * Id of a link where links will be contained
     */
    containerLinkId?: number | undefined;
}
