import { DeepClient } from '@deep-foundation/deeplinks/imports/client';
/**
 * Inserts web push sertificate
 */
export declare function insertWebPushCertificate(param: InsertWebPushCertificateParam): Promise<void>;
export interface InsertWebPushCertificateParam {
    /**
     * Deep Client
     */
    deep: DeepClient;
    /**
     * Web Push Certificate
     */
    webPushCertificate: string;
    /**
     * Is this web push certificate should be made active
     *
     * @remarks
     * You can have multiple web push certificate and only one can be active. It is made active when UsesServiceAccount is pointing to it
     */
    shouldMakeActive?: boolean;
}
